<?php
require'fun.php';
require'f_admin.php';
$titlu='Pedepseste membrul '.nume($la,1);
require'f_profil.php';
$back[1]=profil($la,'Profil membru '.nume($la));
$back[2]='<a href="/admin-moderare-membru/la/'.$la.'-'.seo(nume($la,1)).'">'.img('administrare.png',1).'Moderare membru '.nume($la).'</a>';
require'f_sus.php';
$pid=$_POST['pid'];
$pds=$_POST['pds'];
$phr=$_POST['phr'];
$pmn=$_POST['pmn'];
$psc=$_POST['psc'];
if($conn->query('SELECT`perm`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți pedepsi un administrator!';
else
{
$sex_la=($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]=='F'?'ă':'');
$pmsg=['Pus'.$sex_la.' pe mut','Banat'.$sex_la.' pe forum','Banat'.$sex_la.' pe chat','Banat'.$sex_la.' pe galerie'];
if($pmtext=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Trebuie să scri un motiv!';
else
{
$data=($pds*86400)+($phr*3600)+($pmn*60)+$psc;
if($conn->query('INSERT INTO`membrii_pedepsiti`SET`de`="'.$la.'",`penalty`="'.$pid.'",`exid`="'.$de.'",`data`="'.($data+$_SERVER['REQUEST_TIME']).'",`pnreas`="'.$pmtext.'"'))
{
$conn->query('UPDATE`membrii`SET`lastpnreas`="'.$pmsg[$pid].', pe motiv: '.$pmtext.'"WHERE`id`="'.$la.'"');
require'f_ramas.php';
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Ban",`de`="'.$de.'",`text`="a '.$pmsg[$pid].', pentru '.ramas($data).', pe motiv: [b]'.$pmtext.'[/b], pe",`la`="'.$la.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$la)
{
require'f_notificare.php';
notificare('ai fost '.$pmsg[$pid].', pentru '.ramas($data).', pe motiv: [b]'.$pmtext.'[/b]!',$la,$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].nume($la).' a fost '.$pmsg[$pid].', pentru '.ramas($data);
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'I-ai dat o pedeapsă membrului '.nume($la).', pentru a-i acorda alta, trebuie să o anulezi pe cea anterioară!';
}
}
echo$div[0];
require'f_jos.php';